Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.com
Class Variant

    java.lang.Object
      |
      +--weblogic.com.Variant

public final class Variant
extends java.lang.Object
implements WLSerializable, java.io.Serializable

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static short` | `VariantArray`
`static short` | `VariantBoolean`
`static short` | `VariantByref`
`static short` | `VariantByte`
`static short` | `VariantCurrency`
`static short` | `VariantDate`
`static short` | `VariantDispatch`
`static short` | `VariantDouble`
`static short` | `VariantEmpty`
`static short` | `VariantError`
`static short` | `VariantFloat`
`static short` | `VariantInt`
`static short` | `VariantNull`
`static short` | `VariantObject`
`static short` | `VariantShort`
`static short` | `VariantString`
`static short` | `VariantTypeMask`
`static short` | `VariantVariant`

Constructor Summary
`Variant()`
`Variant(boolean b)`
`Variant(double d)`
`Variant(int i)`
`Variant(int type, boolean b)`
`Variant(int type, double d)`
`Variant(int type, int i)`
`Variant(int type, java.lang.Object o)`
`Variant(java.lang.Object o)`
`Variant(java.lang.Object[] o, boolean b)`
`Variant(java.lang.String s)`

Method Summary
`void` | `changeType(int newtype)`
`void` | `changeType(short newtype)`
`java.lang.Object` | `clone()`
`Variant` | `cloneIndirect()`
`static java.lang.Object` | `createVariant(Variant v)`
`boolean` | `getBoolean()`
`boolean` | `getBooleanRef()`
`byte` | `getByte()`
`byte` | `getByteRef()`
`long` | `getCurrency()`
`long` | `getCurrencyRef()`
`double` | `getDate()`
`double` | `getDateRef()`
`java.lang.Object` | `getDispatch()`
`java.lang.Object` | `getDispatchRef()`
`double` | `getDouble()`
`double` | `getDoubleRef()`
`void` | `getEmpty()`
`int` | `getError()`
`int` | `getErrorRef()`
`float` | `getFloat()`
`float` | `getFloatRef()`
`int` | `getInt()`
`int` | `getIntRef()`
`java.lang.Object` | `getObject()`
`java.lang.Object` | `getObjectRef()`
`short` | `getShort()`
`short` | `getShortRef()`
`java.lang.String` | `getString()`
`java.lang.String` | `getStringRef()`
`Variant[]` | `getVariantArray()`
`Variant[]` | `getVariantArrayRef()`
`short` | `getvt()`
`void` | `noParam()`
`void` | `putBoolean(boolean b)`
`void` | `putBooleanRef(boolean b)`
`void` | `putByte(byte b)`
`void` | `putByteArray(java.lang.Object object)`
`void` | `putByteRef(byte b)`
`void` | `putCharArray(java.lang.Object o)`
`void` | `putCurrency(long c)`
`void` | `putCurrencyRef(long l)`
`void` | `putDate(double d)`
`void` | `putDateRef(double d)`
`void` | `putDispatch(java.lang.Object o)`
`void` | `putDispatchRef(java.lang.Object o)`
`void` | `putDouble(double d)`
`void` | `putDoubleRef(double d)`
`void` | `putEmpty()`
`void` | `putError(int error)`
`void` | `putErrorRef(int i)`
`void` | `putFloat(float f)`
`void` | `putFloatRef(float f)`
`void` | `putInt(int i)`
`void` | `putIntRef(int i)`
`void` | `putObject(java.lang.Object o)`
`void` | `putObjectRef(java.lang.Object o)`
`void` | `putSafeArray(java.lang.Object[] o)`
`void` | `putSafeArrayRef(java.lang.Object[] o)`
`void` | `putSafeArrayRefHelper(int i)`
`void` | `putShort(short s)`
`void` | `putShortRef(short s)`
`void` | `putString(java.lang.String s)`
`void` | `putStringRef(java.lang.String s)`
`void` | `putVariantArray(Variant[] array)`
`void` | `putVariantArrayRef(Variant[] v)`
`void` | `readObject(WLObjectInput wloi)`
`boolean` | `toBoolean()`
`byte` | `toByte()`
`java.lang.Object` | `toByteArray()`
`char[]` | `toCharArray()`
`long` | `toCurrency()`
`double` | `toDate()`
`Dispatch` | `toDispatch()`
`double` | `toDouble()`
`int` | `toError()`
`float` | `toFloat()`
`int` | `toInt()`
`java.lang.Object` | `toObject()`
`java.lang.Object[]` | `toSafeArray()`
`short` | `toShort()`
`java.lang.String` | `toString()`
`Variant[]` | `toVariantArray()`
`static java.lang.String` | `typeToString(int type)`
`void` | `VariantClear()`
`void` | `writeObject(WLObjectOutput wloo)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VariantEmpty

    public static final short VariantEmpty

### VariantNull

    public static final short VariantNull

### VariantShort

    public static final short VariantShort

### VariantInt

    public static final short VariantInt

### VariantFloat

    public static final short VariantFloat

### VariantDouble

    public static final short VariantDouble

### VariantCurrency

    public static final short VariantCurrency

### VariantDate

    public static final short VariantDate

### VariantString

    public static final short VariantString

### VariantDispatch

    public static final short VariantDispatch

### VariantError

    public static final short VariantError

### VariantBoolean

    public static final short VariantBoolean

### VariantVariant

    public static final short VariantVariant

### VariantObject

    public static final short VariantObject

### VariantByte

    public static final short VariantByte

### VariantTypeMask

    public static final short VariantTypeMask

### VariantArray

    public static final short VariantArray

### VariantByref

    public static final short VariantByref

Constructor Detail

### Variant

    public Variant()

### Variant

    public Variant(int i)

### Variant

    public Variant(double d)

### Variant

    public Variant(boolean b)

### Variant

    public Variant(java.lang.String s)

### Variant

    public Variant(java.lang.Object[] o,
                   boolean b)

### Variant

    public Variant(java.lang.Object o)

### Variant

    public Variant(int type,
                   int i)

### Variant

    public Variant(int type,
                   boolean b)

### Variant

    public Variant(int type,
                   double d)

### Variant

    public Variant(int type,
                   java.lang.Object o)

Method Detail

### typeToString

    public static final java.lang.String typeToString(int type)

### toInt

    public int toInt()

### toDate

    public double toDate()

### toBoolean

    public boolean toBoolean()

### toDouble

    public double toDouble()

### toCurrency

    public long toCurrency()

### toCharArray

    public char[] toCharArray()

### toDispatch

    public Dispatch toDispatch()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### toByte

    public byte toByte()

### toError

    public int toError()

### toObject

    public java.lang.Object toObject()

### toFloat

    public float toFloat()

### toSafeArray

    public java.lang.Object[] toSafeArray()

### toShort

    public short toShort()

### toVariantArray

    public Variant[] toVariantArray()

### toByteArray

    public java.lang.Object toByteArray()

### putVariantArray

    public void putVariantArray(Variant[] array)

### getVariantArray

    public Variant[] getVariantArray()

### putByteArray

    public void putByteArray(java.lang.Object object)

### putShortRef

    public void putShortRef(short s)

### putIntRef

    public void putIntRef(int i)

### putDoubleRef

    public void putDoubleRef(double d)

### putDateRef

    public void putDateRef(double d)

### putStringRef

    public void putStringRef(java.lang.String s)

### getShortRef

    public short getShortRef()

### getIntRef

    public int getIntRef()

### putShort

    public void putShort(short s)

### getShort

    public short getShort()

### getDoubleRef

    public double getDoubleRef()

### getDateRef

    public double getDateRef()

### getStringRef

    public java.lang.String getStringRef()

### VariantClear

    public void VariantClear()

### getInt

    public int getInt()

### getDate

    public double getDate()

### putInt

    public void putInt(int i)

### putDate

    public void putDate(double d)

### getDispatch

    public java.lang.Object getDispatch()

### putDispatch

    public void putDispatch(java.lang.Object o)

### getBoolean

    public boolean getBoolean()

### getByte

    public byte getByte()

### putBoolean

    public void putBoolean(boolean b)

### putByte

    public void putByte(byte b)

### getEmpty

    public void getEmpty()

### putEmpty

    public void putEmpty()

### getError

    public int getError()

### putError

    public void putError(int error)

### getDouble

    public double getDouble()

### getObject

    public java.lang.Object getObject()

### putCurrency

    public void putCurrency(long c)

### putObject

    public void putObject(java.lang.Object o)

### putDouble

    public void putDouble(double d)

### getCurrency

    public long getCurrency()

### putFloatRef

    public void putFloatRef(float f)

### putCurrencyRef

    public void putCurrencyRef(long l)

### putErrorRef

    public void putErrorRef(int i)

### putBooleanRef

    public void putBooleanRef(boolean b)

### putObjectRef

    public void putObjectRef(java.lang.Object o)

### putByteRef

    public void putByteRef(byte b)

### getString

    public java.lang.String getString()

### putString

    public void putString(java.lang.String s)

### getFloatRef

    public float getFloatRef()

### getCurrencyRef

    public long getCurrencyRef()

### getErrorRef

    public int getErrorRef()

### getBooleanRef

    public boolean getBooleanRef()

### getObjectRef

    public java.lang.Object getObjectRef()

### getByteRef

    public byte getByteRef()

### putSafeArrayRef

    public void putSafeArrayRef(java.lang.Object[] o)

### putCharArray

    public void putCharArray(java.lang.Object o)

### getFloat

    public float getFloat()

### putFloat

    public void putFloat(float f)

### putDispatchRef

    public void putDispatchRef(java.lang.Object o)

### getDispatchRef

    public java.lang.Object getDispatchRef()

### putVariantArrayRef

    public void putVariantArrayRef(Variant[] v)

### getVariantArrayRef

    public Variant[] getVariantArrayRef()

### putSafeArrayRefHelper

    public void putSafeArrayRefHelper(int i)

### putSafeArray

    public void putSafeArray(java.lang.Object[] o)

### noParam

    public void noParam()

### changeType

    public void changeType(short newtype)

### changeType

    public void changeType(int newtype)

### getvt

    public short getvt()

### cloneIndirect

    public Variant cloneIndirect()
                          throws java.lang.CloneNotSupportedException

  Returns:
    Variant
  Throws:
    java.lang.CloneNotSupportedException - if there is an error

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns:
    Object
  Throws:
    java.lang.CloneNotSupportedException - if there is an error
  Overrides:
    clone in class java.lang.Object

### createVariant

    public static java.lang.Object createVariant(Variant v)

### readObject

    public void readObject(WLObjectInput wloi)
                    throws java.lang.ClassNotFoundException,
                           java.io.IOException

  Specified by:
    readObject in interface WLSerializable

### writeObject

    public void writeObject(WLObjectOutput wloo)
                     throws java.io.IOException

  Specified by:
    writeObject in interface WLSerializable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD